# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'rspec_failsafe_formatter'
  spec.version       = '0.0.5'
  spec.authors       = ['Alan Scherger']
  spec.email         = ['flyinprogrammer@gmail.com']

  spec.summary       = %q{This gem provides an Rspec formatter which outputs test results for the maven-failsafe-plugin}
  spec.description   = %q{The maven-failsafe-plugin can be used for integration testing. Rspec can be used for
                          integration testing. It would be really cool in the Jruby world if we could easily allow these
                          two systems to communicate with one another. One of the ways can do that is by having Rspec
                          output failsafe xml files. This would allow us to use Rspec for integration tests in Jruby and
                          have our builds exit correctly.}
  spec.homepage      = 'http://github.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'nokogiri', '1.6.6.2'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 2.3'
end
